# Graph Databases Homework 3

A simple route planning between cities with routes was implemented in Rust.

## Run yourself
The project has a minimum supported Rust version (MSRV) of 1.63.0.

The Neo4j database has to be started on localhost on port 7687. 
If you want a different port change it in `main.rs`

To start the project run:

`cargo run --package graphdbhue3 --bin graphdbhue3`

## Accessing Web Interface
The API is exposed on Port `8081`.
Access it through the Swagger Web UI: [http://localhost:8081](http://localhost:8081)